package com.usoftchina.dingtalk.sdk.config;

/**
 * @author yingp
 */
public class Agent {
    /**
     * 编号，统一友好命名。代码里面直接使用
     */
    private final String code;
    private final Long id;
    /**
     * 应用key
     */
    private final String appKey;
    /**
     * 应用私钥
     */
    private final String appSecret;

    public Agent(String code, Long id, String appKey, String appSecret) {
        this.code = code;
        this.id = id;
        this.appKey = appKey;
        this.appSecret = appSecret;
    }

    public String getCode() {
        return code;
    }

    public Long getId() {
        return id;
    }

    public String getAppKey() {
        return appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }
}
